<solidify-empty-container (onEscape)="backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-submission-agreement-form #formPresentational
                                          *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                          (dirtyChange)="updateCanDeactivate($event)"
                                          (submitChange)="create($event)"
    ></dlcm-admin-submission-agreement-form>
  </div>
</solidify-empty-container>
